    Return the data used by plot_bkg.

get_bkg_plot(id=None, bkg_id=None, recalc=True)
id - int or str, optional
bkg_id - int or str, optional
recalc - bool, optional

Create the data needed to create the "data plot" for the background of the default data set and display it:

>>> bplot = get_bkg_plot() >>> print(bplot)

Return the plot data for data set 2, and then use it to create a plot:

>>> b2 = get_bkg_plot(2) >>> b2.plot()

Return the plot data for the second background component to the "jet" data set:

>>> bplot = get_bkg_plot('jet', bkg_id=2)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .
bkg_id
Identify the background component to use, if there are multiple ones associated with the data set.
recalc
If False then the results from the last call to

`plot_bkg` (or `get_bkg_plot` ) are returned, otherwise the data is re-generated.

The return value from this function is:

data -- An object representing the data used to create the plot by

`plot_data` . The relationship between the returned values and the values in the data set depend on the analysis, filtering, and grouping settings of the data set.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023